Package org.zkoss.zkmax.bind.impl

## Class BindOrgitemRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.zkmax.bind.impl.BindOrgitemRenderer

- All Implemented Interfaces:
    `java.io.Serializable`, `OrgitemRenderer<java.lang.Object>`

      public class BindOrgitemRenderer
      extends AbstractRenderer
      implements OrgitemRenderer<java.lang.Object>

  Orgitem renderer for binding.
  Since:
    8.6.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindOrgitemRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Orgitem orgitem, java.lang.Object data, int index)` | Renders the data to the specified Orgitem.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindOrgitemRenderer

          public BindOrgitemRenderer()

  - ### Method Detail

    - #### render

          public void render​(Orgitem orgitem,
                             java.lang.Object data,
                             int index)
                      throws java.lang.Exception

      Description copied from interface: `OrgitemRenderer`
      Renders the data to the specified Orgitem. Note: When this method is called, the orgitem should have no child at all. Orgnode is only component that allowed to be item's children. Do not append any Orgchildren to item in this method, an Orgchildren will be appended afterward.
      Specified by:
        `render` in interface `OrgitemRenderer<java.lang.Object>`
      Parameters:
        `orgitem` - the Orgitem to render the result.
        `data` - that is used to render the Orgitem
        `index` - the index of the data that is currently being rendered. Notice the index is the order of the siblings (i.e., data that belongs to the same parent).
      Throws:
        `java.lang.Exception`